> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# List application tokens

GET https://iot.telia.lt/api/v1/application_token

Returns the list of application tokens for the organisation of the requesting user.


Reference: https://docs.iot.telia.lt/developers/api/application-tokens/application-token-get

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Response

### 200

Success

- `list of ApiV1ApplicationTokenGetResponsesContentApplicationJsonSchemaItems`

## Errors

### 403 Forbidden Error

Your role doesn't include the permission this endpoint requires. Most endpoints return `error_code`, `error_token`, and `message`. Some return only `status_code` and `message`.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `status_code` (integer, optional)
- `message` (string, optional)

## Types

### ApiV1ApplicationTokenGetResponsesContentApplicationJsonSchemaItems

- `id` (integer, optional)
- `description` (string, optional)
- `created` (string, optional)
- `status` (ApiV1ApplicationTokenGetResponsesContentApplicationJsonSchemaItemsStatus, optional)
- `expiry_date` (string, optional)
- `ip` (string, optional)
- `creator` (ApiV1ApplicationTokenGetResponsesContentApplicationJsonSchemaItemsCreator, optional)

### ApiV1ApplicationTokenGetResponsesContentApplicationJsonSchemaItemsStatus

### ApiV1ApplicationTokenGetResponsesContentApplicationJsonSchemaItemsCreator

## Examples

**Response**

```json
[
  {
    "id": 1,
    "description": "App Test Token",
    "created": "2019-04-28T12:25:44.000Z",
    "status": {
      "description": "Activated",
      "id": 0
    },
    "expiry_date": "2020-02-02T23:00:00.000Z",
    "ip": "10.88.0.139/32",
    "creator": {
      "id": 6,
      "name": "Master User",
      "username": "user6@org2"
    }
  },
  {
    "id": 2,
    "description": "Revoked App Token",
    "created": "2019-01-11T12:26:26.000Z",
    "status": {
      "description": "Revoked",
      "id": 1
    },
    "creator": {
      "id": 6,
      "name": "Master User",
      "username": "user6@org2"
    }
  }
]
```

**SDK Code**

```python Application Tokens
import requests

url = "https://iot.telia.lt/api/v1/application_token"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Application Tokens
const url = 'https://iot.telia.lt/api/v1/application_token';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Application Tokens
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/application_token"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Application Tokens
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/application_token")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Application Tokens
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/application_token")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Application Tokens
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/application_token', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Application Tokens
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/application_token");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Application Tokens
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/application_token")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```